# Uses of Class
java.security.KeyManagementException

Packages that use KeyManagementException
Package
Description
java.security
Provides the classes and interfaces for the security framework.
javax.net.ssl
Provides classes for the secure socket package.

## Uses of KeyManagementException in java.security

Methods in java.security that throw KeyManagementException
Modifier and Type
Method
Description
`void`
Identity.`addCertificate(Certificate certificate)`
Deprecated, for removal: This API element is subject to removal in a future version.
Adds a certificate for this `Identity`.
`abstract void`
IdentityScope.`addIdentity(Identity identity)`
Deprecated, for removal: This API element is subject to removal in a future version.
Adds an `Identity` to this identity scope.
`void`
Identity.`removeCertificate(Certificate certificate)`
Deprecated, for removal: This API element is subject to removal in a future version.
Removes a certificate from this `Identity`.
`abstract void`
IdentityScope.`removeIdentity(Identity identity)`
Deprecated, for removal: This API element is subject to removal in a future version.
Removes an `Identity` from this identity scope.
`void`
Identity.`setPublicKey(PublicKey key)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets this identity's public key.
Constructors in java.security that throw KeyManagementException
Modifier
Constructor
Description
``
`Identity(String name, IdentityScope scope)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs an `Identity` with the specified name and scope.
``
`IdentityScope(String name, IdentityScope scope)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new identity scope with the specified name and scope.
``
`Signer(String name, IdentityScope scope)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a `Signer` with the specified identity name and scope.

## Uses of KeyManagementException in javax.net.ssl

Methods in javax.net.ssl that throw KeyManagementException
Modifier and Type
Method
Description
`protected abstract void`
SSLContextSpi.`engineInit(KeyManager[] km, TrustManager[] tm, SecureRandom sr)`
Initializes this context.
`final void`
SSLContext.`init(KeyManager[] km, TrustManager[] tm, SecureRandom random)`
Initializes this context.